aboutsummaryrefslogtreecommitdiff
path: root/scripts/get-and-build-libndpi.sh
diff options
context:
space:
mode:
authorToni <matzeton@googlemail.com>2023-11-06 13:25:49 +0100
committerGitHub <noreply@github.com>2023-11-06 13:25:49 +0100
commit93498fff02c5edecff102d895f5cd239cb1504a2 (patch)
tree950b8c4da0b3af990690fee16cce17421a32b3b9 /scripts/get-and-build-libndpi.sh
parent1b679271693a17ce0b653b9ba45db77b731db42e (diff)
Apple/BSD port (#30)
* Add MacOS to Github CI builds. * Fixed libnDPI-4.8 CI build. * Fixed missing include for `struct sockaddr*`. * Reworked IPv4 address and netmask retrieval. Signed-off-by: Toni Uhlig <matzeton@googlemail.com>
Diffstat (limited to 'scripts/get-and-build-libndpi.sh')
-rwxr-xr-xscripts/get-and-build-libndpi.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/scripts/get-and-build-libndpi.sh b/scripts/get-and-build-libndpi.sh
index be17f7687..2d0939538 100755
--- a/scripts/get-and-build-libndpi.sh
+++ b/scripts/get-and-build-libndpi.sh
@@ -32,7 +32,9 @@ if [ ! -z "${CC}" ]; then
fi
if [ ! -z "${MAKEFLAGS}" ]; then
- MAKEFLAGS="-${MAKEFLAGS}"
+ case "$(uname -s)" in
+ Linux*) MAKEFLAGS="-${MAKEFLAGS}" ;;
+ esac
fi
cat <<EOF
@@ -102,7 +104,7 @@ MAKE_PROGRAM="${MAKE_PROGRAM:-make -j4}"
HOST_ARG="--host=${HOST_TRIPLET}"
./autogen.sh --enable-option-checking=fatal \
--prefix="/" \
- --with-only-libndpi ${HOST_ARG} ${ADDITIONAL_ARGS}
+ --with-only-libndpi ${HOST_ARG} ${ADDITIONAL_ARGS} || { cat config.log | grep -v '^|'; false; }
${MAKE_PROGRAM} ${MAKEFLAGS} install DESTDIR="${DEST_INSTALL}"
rm -f "${LOCKFILE}"